## com.lowagie.text.rtf.text
Class RtfSection

    java.lang.Object
      com.lowagie.text.rtf.RtfElement
          com.lowagie.text.rtf.text.RtfSection

All Implemented Interfaces:
  RtfBasicElement

Direct Known Subclasses:
  RtfChapter

    public class RtfSection

extends RtfElement

The RtfSection wraps a Section element. INTERNAL CLASS

Version:
  $Revision: 1.12 $
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at)

Field Summary
`protected java.util.ArrayList` `items` The sub-items of this RtfSection
`protected RtfParagraph` `title` The title paragraph of this RtfSection

Fields inherited from class com.lowagie.text.rtf.RtfElement
`document, inHeader, inTable`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfSection(RtfDocument doc, Section section)` Constructs a RtfSection for a given Section.

Method Summary
`void` `setInHeader(boolean inHeader)` Sets whether this RtfSection is in a header.
`void` `setInTable(boolean inTable)` Sets whether this RtfSection is in a table.
`private void` `updateIndentation(float indentLeft, float indentRight, float indentContent)` Updates the left, right and content indentation of all RtfParagraph and RtfSection elements that this RtfSection contains.
`byte[]` `write()` Write this RtfSection and its contents

Methods inherited from class com.lowagie.text.rtf.RtfElement
`intToByteArray, isInTable, setRtfDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### title

    protected RtfParagraph title

  The title paragraph of this RtfSection

### items

    protected java.util.ArrayList items

  The sub-items of this RtfSection

Constructor Detail

### RtfSection

    public RtfSection(RtfDocument doc,
                      Section section)

  Constructs a RtfSection for a given Section. If the autogenerateTOCEntries property of the RtfDocument is set and the title is not empty then a TOC entry is generated for the title.

  Parameters:
    `doc` - The RtfDocument this RtfSection belongs to
    `section` - The Section this RtfSection is based on

Method Detail

### write

    public byte[] write()

  Write this RtfSection and its contents

  Specified by:
    `write` in interface `RtfBasicElement`
  Overrides:
    `write` in class `RtfElement`
  Returns:
    A byte array with the RtfSection and its contents

### setInTable

    public void setInTable(boolean inTable)

  Sets whether this RtfSection is in a table. Sets the correct inTable setting for all child elements.

  Specified by:
    `setInTable` in interface `RtfBasicElement`
  Overrides:
    `setInTable` in class `RtfElement`
  Parameters:
    `inTable` - `True` if this RtfSection is in a table, `false` otherwise

### setInHeader

    public void setInHeader(boolean inHeader)

  Sets whether this RtfSection is in a header. Sets the correct inTable setting for all child elements.

  Specified by:
    `setInHeader` in interface `RtfBasicElement`
  Overrides:
    `setInHeader` in class `RtfElement`
  Parameters:
    `inHeader` - `True` if this RtfSection is in a header, `false` otherwise

### updateIndentation

    private void updateIndentation(float indentLeft,
                                   float indentRight,
                                   float indentContent)

  Updates the left, right and content indentation of all RtfParagraph and RtfSection elements that this RtfSection contains.

  Parameters:
    `indentLeft` - The left indentation to add.
    `indentRight` - The right indentation to add.
    `indentContent` - The content indentation to add.